# Class BArray

java.lang.Object
javajs.util.BArray

public class BArray extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`byte[]`
`data`

## Constructor Summary

Constructors
Constructor
Description
`BArray(byte[] data)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### data

public byte[] data

## Constructor Details

### BArray

public BArray(byte[] data)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`